import { LitElement } from 'lit';
export declare const ICON_NS8 = "icon-ns8";
export declare class IconNs8Component extends LitElement {
    static readonly defaultTagName = "icon-ns8";
    static styles: any;
    size?: string;
    scheme?: string;
    private rootClassesParts;
    willUpdate(): void;
    protected render(): any;
}
